/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.platform.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Objects;

/**
 * @author 田平 create 2021/4/8 9:49
 */
@Getter
@Setter
@ToString
@AllArgsConstructor
public class EncryptKey implements Serializable {

	public static final long serialVersionUID = 1L;

	private String tabName;
	private String colName;

	@Override
	public boolean equals(Object o) {
		if (this == o){
			return true;
		}
		if (o == null || getClass() != o.getClass()){
			return false;
		}
		EncryptKey that = (EncryptKey) o;
		return Objects.equals(tabName, that.tabName) &&
				Objects.equals(colName, that.colName);
	}

	@Override
	public int hashCode() {
		return Objects.hash(tabName, colName);
	}
}
